/**
 * This entity is non-user-maintained and describes a language.
 */
interface LanguageInterface {
  /**
   * ISO 639-1 two-letter language code
   */
  code: string;

  /**
   * the works using this language
   */
  works: Promise<WorkInterface[]> | Identifier[];
}
