/**
 * This entity describes a single name of an entity with multiple names.
 */
interface NameInterface {
  /**
   * the name
   */
  name: string;

  /**
   * the entity to which the names belong
   */
  entity: Promise<MultiNamedInterface> | Identifier;
}
