/**
 * This tag entity tags a work.
 */
interface WorkTagInterface extends IdentifiableInterface, WeightedInterface {
  /**
   * the describing tag
   */
  tag: Promise<TagInterface> | Identifier;

  /**
   * the tagged work
   */
  work: Promise<WorkInterface> | Identifier;
}
