import { Entity, ManyToMany, PrimaryColumn } from 'typeorm';
import { Work } from './work';

@Entity()
export class Language implements LanguageEntityInterface {
  @PrimaryColumn()
  public code!: string;

  @ManyToMany(() => Work, (work: WorkEntityInterface) => work.languages)
  public works!: Promise<WorkEntityInterface[]>;
}
