/**
 * This non-user-maintained entity describes an online provider of works which can be scraped.
 */
interface SiteInterface extends IdentifiableInterface, MultiNamedInterface {
  names: Promise<SiteNameInterface[]> | Identifier[];

  /**
   * sources belonging to this site
   */
  sources: Promise<SourceInterface[]> | Identifier[];
}
